Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class AbstractEntryBundler

`java.lang.Object
com.tangosol.util.Base
com.tangosol.net.cache.AbstractBundler
com.tangosol.net.cache.AbstractEntryBundler`

Direct Known Subclasses:
  BundlingNamedCache.PutBundler, ReadWriteBackingMap.CacheStoreWrapper.StoreBundler

      public abstract class AbstractEntryBundler

extends AbstractBundler

An abstract entry-based bundler serves as a base for NamedCache.put() and CacheStore.store() operation bundling.

Since:
  Coherence 3.3
Author:
  gg 2007.01.28

Nested Class Summary
`protected class` | `AbstractEntryBundler.Bundle`

Nested classes/interfaces inherited from class com.tangosol.net.cache.AbstractBundler
`AbstractBundler.Statistics`

Field Summary

Fields inherited from class com.tangosol.net.cache.AbstractBundler
`ADJUSTMENT_FREQUENCY, m_countThreads, m_dPreviousSizeThreshold, m_listBundle`

Constructor Summary
`AbstractEntryBundler()`

Method Summary
`protected abstract void` | `bundle(java.util.Map mapEntries)` The bundle operation to be performed against a collected map of entries by the concrete AbstractEntryBundler implementations.
`protected AbstractBundler.Bundle` | `instantiateBundle()` Instantiate a new Bundle object.
`protected void` | `process(java.lang.Object oKey, java.lang.Object oValue)` Process the specified entry in a most optimal way according to the bundle settings.
`protected void` | `processAll(java.util.Map map)` Process a colllection of entries in a most optimal way according to the bundle settings.

Methods inherited from class com.tangosol.net.cache.AbstractBundler
`adjust, getDelayMillis, getOpenBundle, getSizeThreshold, getThreadThreshold, isAllowAutoAdjust, resetStatistics, setAllowAutoAdjust, setDelayMillis, setSizeThreshold, setThreadThreshold, toString, updateStatistics`

Constructor Detail

### AbstractEntryBundler

    public AbstractEntryBundler()

Method Detail

### process

    protected void process(java.lang.Object oKey,
                           java.lang.Object oValue)

  Process the specified entry in a most optimal way according to the bundle settings.
  Parameters:
    `oKey` - the entry key
    `oValue` - the entry value

### processAll

    protected void processAll(java.util.Map map)

  Process a colllection of entries in a most optimal way according to the bundle settings.
  Parameters:
    `map` - the collection of entries to process

### bundle

    protected abstract void bundle(java.util.Map mapEntries)

  The bundle operation to be performed against a collected map of entries by the concrete AbstractEntryBundler implementations. If an exception occurs during bundle operation, it will be repeated using singleton maps.
  Parameters:
    `mapEntries` - a map to perform the bundled operation for

### instantiateBundle

    protected AbstractBundler.Bundle instantiateBundle()

  Instantiate a new Bundle object.
  Specified by:
    `instantiateBundle` in class `AbstractBundler`
  Returns:
    a new Bundle object

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.